ryebank - 2007-04-12

I am trying to get PHPWiki running on a Thecus n2100 NAS device which is running Linux. I have root access to the device using SSH and the device uses Apache 2 and PHP 5.0.5 and I am using the file data store but when loading index.php I get 5 messages like:

Error: "var: Deprecated. Please use the public/private/protected modifiers"

And nothing else seems to happen.

Being a NAS the PHP is in the firmware so I am a bit restricted on what I can change.

PHPWiki I am trying is 1.3.13rc1

PHPInfo shows

'./configure' '--host=i386-linux' '--target=armv5l-linux' '--prefix=/opt/php' '--with-config-file-path=/opt/apache/conf' '--disable-ipv6' '--with-apxs2=/opt/apache/bin/apxs' '--without-mysql' '--without-pear' '--disable-cli' '--without-jpeg' '--without-iconv' '--enable-sqlite-utf8' '--disable-simplexml' '--disable-dom' '--enable-memory-limit'

For the Configure command - is there anything in here that is disabled that I would need for PHPWiki?

Any ideas for what else I can check or change ....

Any help most appreciated